National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2008-3257 Detail

Description

Stack-based buffer overflow in the Apache Connector (mod_wl) in Oracle WebLogic Server (formerly BEA WebLogic Server) 10.3 and earlier allows remote attackers to execute arbitrary code via a long HTTP version string, as demonstrated by a string after "POST /.jsp" in an HTTP request.

Source:  MITRE      Last Modified:  07/22/2008

Quick Info

CVE Dictionary Entry:
CVE-2008-3257
Original release date:
07/22/2008
Last revised:
09/28/2017
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
10.0 HIGH
Vector:
(AV:N/AC:L/Au:N/C:C/I:C/A:C) (legend)
Impact Subscore:
10.0
Exploitability Subscore:
10.0
CVSS Version 2 Metrics:
Access Vector:
Network exploitable
Access Complexity:
Low
Authentication:
Not required to exploit
Impact Type:
Allows unauthorized disclosure of information; Allows unauthorized modification; Allows disruption of service

Vendor Statements (disclaimer)

Official Statement from Oracle (07/31/2008)

Oracle has released a workaround for CVE-2008-3257. Information is available at: http://www.oracle.com/technology/deploy/security/alerts/alert_cve2008-3257.html

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://blogs.oracle.com/security/2008/07/security_alert_for_cve-2008-3257_released.html External Source CONFIRM http://blogs.oracle.com/security/2008/07/security_alert_for_cve-2008-3257_released.html
http://www.attrition.org/pipermail/vim/2008-July/002035.html External Source VIM 20080717 Bea Weblogic Apache Connector BOF / Remote Denial of Service PoC
http://www.attrition.org/pipermail/vim/2008-July/002036.html External Source VIM 20080717 Bea Weblogic Apache Connector BOF / Remote Denial of Service PoC
http://www.kb.cert.org/vuls/id/716387 US Government Resource External Source CERT-VN VU#716387
http://www.oracle.com/technology/deploy/security/alerts/alert_cve2008-3257.html External Source CONFIRM http://www.oracle.com/technology/deploy/security/alerts/alert_cve2008-3257.html
http://www.securityfocus.com/bid/30273 External Source BID 30273
http://www.securitytracker.com/id?1020520 External Source SECTRACK 1020520
http://www.vupen.com/english/advisories/2008/2145/references External Source VUPEN ADV-2008-2145
https://exchange.xforce.ibmcloud.com/vulnerabilities/43885 External Source XF oracle-weblogic-apacheconnector-bo(43885)
https://support.bea.com/application_content/product_portlets/securityadvisories/2793.html External Source CONFIRM https://support.bea.com/application_content/product_portlets/securityadvisories/2793.html
https://www.exploit-db.com/exploits/6089 External Source EXPLOIT-DB 6089

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:bea:weblogic_server:3.1.8:*:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:4.0:*:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:4.0.4:*:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:4.5:*:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:4.5.1:*:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:4.5.1:sp15:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:4.5.2:*:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:4.5.2:sp1:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:4.5.2:sp2:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:5.1:*:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:5.1:sp1:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:5.1:sp10:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:5.1:sp11:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:5.1:sp12:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:5.1:sp13:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:5.1:sp2:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:5.1:sp3:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:5.1:sp4:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:5.1:sp5:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:5.1:sp6:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:5.1:sp7:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:5.1:sp8:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:5.1:sp9:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:6.0:*:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:6.0:sp1:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:6.0:sp2:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:6.0:sp6:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:6.1:*:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:6.1:sp1:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:6.1:sp2:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:6.1:sp3:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:6.1:sp4:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:6.1:sp5:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:6.1:sp6:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:6.1:sp7:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:6.1:sp8:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:7.0:*:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:7.0:sp1:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:7.0:sp2:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:7.0:sp3:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:7.0:sp4:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:7.0:sp5:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:7.0:sp6:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:7.0:sp7:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:7.0.0.1:*:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:7.0.0.1:sp1:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:7.0.0.1:sp2:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:7.0.0.1:sp3:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:7.0.0.1:sp4:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:8.1:*:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:8.1:sp1:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:8.1:sp2:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:8.1:sp3:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:8.1:sp4:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:8.1:sp5:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:8.1:sp6:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:9.0:*:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:9.0:ga:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:9.0:sp1:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:9.0:sp2:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:9.0:sp3:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:9.0:sp4:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:9.0:sp5:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:9.1:*:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:9.1:ga:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:9.2:*:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:9.2:mp1:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:9.2:mp2:*:*:*:*:*:*
cpe:2.3:a:bea:weblogic_server:10.0:*:*:*:*:*:*:*
cpe:2.3:a:bea_systems:apache_connector_in_weblogic_server:*:*:*:*:*:*:*:*
cpe:2.3:a:bea_systems:weblogic_server:10.0_mp1:*:*:*:*:*:*:*
cpe:2.3:a:oracle:weblogic_server:*:*:*:*:*:*:*:*    versions up to (including) 10.3

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 3 change records found - show changes